# Class CIM_CAHasPublicCertificate
extends CIM_Dependency

A CertificateAuthority may have certificates issued by other CAs or self-signed. This association is essentially an optimization of the CA having an external identity established by itself or another Authority. This maps closely to LDAP-based certificate authority implementations.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_CAHasPublicCertificate

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | A CertificateAuthority may have certificates issued by other CAs or self-signed. This association is essentially an optimization of the CA having an external identity established by itself or another Authority. This maps closely to LDAP-based certificate authority implementations.
UMLPackagePath | string | CIM::User::PublicKey
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_CAHasPublicCertificate | CIM_PublicKeyCertificate
Dependent | CIM_CAHasPublicCertificate | CIM_CertificateAuthority

## Class Methods